package com.mvc.entity;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

public class TUpgradePackageExample {
    protected String orderByClause;

    protected boolean distinct;

    protected List<Criteria> oredCriteria;

    public TUpgradePackageExample() {
        oredCriteria = new ArrayList<Criteria>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<Criterion>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andIdIsNull() {
            addCriterion("ID is null");
            return (Criteria) this;
        }

        public Criteria andIdIsNotNull() {
            addCriterion("ID is not null");
            return (Criteria) this;
        }

        public Criteria andIdEqualTo(Integer value) {
            addCriterion("ID =", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotEqualTo(Integer value) {
            addCriterion("ID <>", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThan(Integer value) {
            addCriterion("ID >", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThanOrEqualTo(Integer value) {
            addCriterion("ID >=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThan(Integer value) {
            addCriterion("ID <", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThanOrEqualTo(Integer value) {
            addCriterion("ID <=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdIn(List<Integer> values) {
            addCriterion("ID in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotIn(List<Integer> values) {
            addCriterion("ID not in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdBetween(Integer value1, Integer value2) {
            addCriterion("ID between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotBetween(Integer value1, Integer value2) {
            addCriterion("ID not between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andOriginalFileNameIsNull() {
            addCriterion("ORIGINAL_FILE_NAME is null");
            return (Criteria) this;
        }

        public Criteria andOriginalFileNameIsNotNull() {
            addCriterion("ORIGINAL_FILE_NAME is not null");
            return (Criteria) this;
        }

        public Criteria andOriginalFileNameEqualTo(String value) {
            addCriterion("ORIGINAL_FILE_NAME =", value, "originalFileName");
            return (Criteria) this;
        }

        public Criteria andOriginalFileNameNotEqualTo(String value) {
            addCriterion("ORIGINAL_FILE_NAME <>", value, "originalFileName");
            return (Criteria) this;
        }

        public Criteria andOriginalFileNameGreaterThan(String value) {
            addCriterion("ORIGINAL_FILE_NAME >", value, "originalFileName");
            return (Criteria) this;
        }

        public Criteria andOriginalFileNameGreaterThanOrEqualTo(String value) {
            addCriterion("ORIGINAL_FILE_NAME >=", value, "originalFileName");
            return (Criteria) this;
        }

        public Criteria andOriginalFileNameLessThan(String value) {
            addCriterion("ORIGINAL_FILE_NAME <", value, "originalFileName");
            return (Criteria) this;
        }

        public Criteria andOriginalFileNameLessThanOrEqualTo(String value) {
            addCriterion("ORIGINAL_FILE_NAME <=", value, "originalFileName");
            return (Criteria) this;
        }

        public Criteria andOriginalFileNameLike(String value) {
            addCriterion("ORIGINAL_FILE_NAME like", value, "originalFileName");
            return (Criteria) this;
        }

        public Criteria andOriginalFileNameNotLike(String value) {
            addCriterion("ORIGINAL_FILE_NAME not like", value, "originalFileName");
            return (Criteria) this;
        }

        public Criteria andOriginalFileNameIn(List<String> values) {
            addCriterion("ORIGINAL_FILE_NAME in", values, "originalFileName");
            return (Criteria) this;
        }

        public Criteria andOriginalFileNameNotIn(List<String> values) {
            addCriterion("ORIGINAL_FILE_NAME not in", values, "originalFileName");
            return (Criteria) this;
        }

        public Criteria andOriginalFileNameBetween(String value1, String value2) {
            addCriterion("ORIGINAL_FILE_NAME between", value1, value2, "originalFileName");
            return (Criteria) this;
        }

        public Criteria andOriginalFileNameNotBetween(String value1, String value2) {
            addCriterion("ORIGINAL_FILE_NAME not between", value1, value2, "originalFileName");
            return (Criteria) this;
        }

        public Criteria andFileNameIsNull() {
            addCriterion("FILE_NAME is null");
            return (Criteria) this;
        }

        public Criteria andFileNameIsNotNull() {
            addCriterion("FILE_NAME is not null");
            return (Criteria) this;
        }

        public Criteria andFileNameEqualTo(String value) {
            addCriterion("FILE_NAME =", value, "fileName");
            return (Criteria) this;
        }

        public Criteria andFileNameNotEqualTo(String value) {
            addCriterion("FILE_NAME <>", value, "fileName");
            return (Criteria) this;
        }

        public Criteria andFileNameGreaterThan(String value) {
            addCriterion("FILE_NAME >", value, "fileName");
            return (Criteria) this;
        }

        public Criteria andFileNameGreaterThanOrEqualTo(String value) {
            addCriterion("FILE_NAME >=", value, "fileName");
            return (Criteria) this;
        }

        public Criteria andFileNameLessThan(String value) {
            addCriterion("FILE_NAME <", value, "fileName");
            return (Criteria) this;
        }

        public Criteria andFileNameLessThanOrEqualTo(String value) {
            addCriterion("FILE_NAME <=", value, "fileName");
            return (Criteria) this;
        }

        public Criteria andFileNameLike(String value) {
            addCriterion("FILE_NAME like", value, "fileName");
            return (Criteria) this;
        }

        public Criteria andFileNameNotLike(String value) {
            addCriterion("FILE_NAME not like", value, "fileName");
            return (Criteria) this;
        }

        public Criteria andFileNameIn(List<String> values) {
            addCriterion("FILE_NAME in", values, "fileName");
            return (Criteria) this;
        }

        public Criteria andFileNameNotIn(List<String> values) {
            addCriterion("FILE_NAME not in", values, "fileName");
            return (Criteria) this;
        }

        public Criteria andFileNameBetween(String value1, String value2) {
            addCriterion("FILE_NAME between", value1, value2, "fileName");
            return (Criteria) this;
        }

        public Criteria andFileNameNotBetween(String value1, String value2) {
            addCriterion("FILE_NAME not between", value1, value2, "fileName");
            return (Criteria) this;
        }

        public Criteria andFileTypeIsNull() {
            addCriterion("FILE_TYPE is null");
            return (Criteria) this;
        }

        public Criteria andFileTypeIsNotNull() {
            addCriterion("FILE_TYPE is not null");
            return (Criteria) this;
        }

        public Criteria andFileTypeEqualTo(String value) {
            addCriterion("FILE_TYPE =", value, "fileType");
            return (Criteria) this;
        }

        public Criteria andFileTypeNotEqualTo(String value) {
            addCriterion("FILE_TYPE <>", value, "fileType");
            return (Criteria) this;
        }

        public Criteria andFileTypeGreaterThan(String value) {
            addCriterion("FILE_TYPE >", value, "fileType");
            return (Criteria) this;
        }

        public Criteria andFileTypeGreaterThanOrEqualTo(String value) {
            addCriterion("FILE_TYPE >=", value, "fileType");
            return (Criteria) this;
        }

        public Criteria andFileTypeLessThan(String value) {
            addCriterion("FILE_TYPE <", value, "fileType");
            return (Criteria) this;
        }

        public Criteria andFileTypeLessThanOrEqualTo(String value) {
            addCriterion("FILE_TYPE <=", value, "fileType");
            return (Criteria) this;
        }

        public Criteria andFileTypeLike(String value) {
            addCriterion("FILE_TYPE like", value, "fileType");
            return (Criteria) this;
        }

        public Criteria andFileTypeNotLike(String value) {
            addCriterion("FILE_TYPE not like", value, "fileType");
            return (Criteria) this;
        }

        public Criteria andFileTypeIn(List<String> values) {
            addCriterion("FILE_TYPE in", values, "fileType");
            return (Criteria) this;
        }

        public Criteria andFileTypeNotIn(List<String> values) {
            addCriterion("FILE_TYPE not in", values, "fileType");
            return (Criteria) this;
        }

        public Criteria andFileTypeBetween(String value1, String value2) {
            addCriterion("FILE_TYPE between", value1, value2, "fileType");
            return (Criteria) this;
        }

        public Criteria andFileTypeNotBetween(String value1, String value2) {
            addCriterion("FILE_TYPE not between", value1, value2, "fileType");
            return (Criteria) this;
        }

        public Criteria andFileSizeIsNull() {
            addCriterion("FILE_SIZE is null");
            return (Criteria) this;
        }

        public Criteria andFileSizeIsNotNull() {
            addCriterion("FILE_SIZE is not null");
            return (Criteria) this;
        }

        public Criteria andFileSizeEqualTo(Integer value) {
            addCriterion("FILE_SIZE =", value, "fileSize");
            return (Criteria) this;
        }

        public Criteria andFileSizeNotEqualTo(Integer value) {
            addCriterion("FILE_SIZE <>", value, "fileSize");
            return (Criteria) this;
        }

        public Criteria andFileSizeGreaterThan(Integer value) {
            addCriterion("FILE_SIZE >", value, "fileSize");
            return (Criteria) this;
        }

        public Criteria andFileSizeGreaterThanOrEqualTo(Integer value) {
            addCriterion("FILE_SIZE >=", value, "fileSize");
            return (Criteria) this;
        }

        public Criteria andFileSizeLessThan(Integer value) {
            addCriterion("FILE_SIZE <", value, "fileSize");
            return (Criteria) this;
        }

        public Criteria andFileSizeLessThanOrEqualTo(Integer value) {
            addCriterion("FILE_SIZE <=", value, "fileSize");
            return (Criteria) this;
        }

        public Criteria andFileSizeIn(List<Integer> values) {
            addCriterion("FILE_SIZE in", values, "fileSize");
            return (Criteria) this;
        }

        public Criteria andFileSizeNotIn(List<Integer> values) {
            addCriterion("FILE_SIZE not in", values, "fileSize");
            return (Criteria) this;
        }

        public Criteria andFileSizeBetween(Integer value1, Integer value2) {
            addCriterion("FILE_SIZE between", value1, value2, "fileSize");
            return (Criteria) this;
        }

        public Criteria andFileSizeNotBetween(Integer value1, Integer value2) {
            addCriterion("FILE_SIZE not between", value1, value2, "fileSize");
            return (Criteria) this;
        }

        public Criteria andVersionNumIsNull() {
            addCriterion("VERSION_NUM is null");
            return (Criteria) this;
        }

        public Criteria andVersionNumIsNotNull() {
            addCriterion("VERSION_NUM is not null");
            return (Criteria) this;
        }

        public Criteria andVersionNumEqualTo(String value) {
            addCriterion("VERSION_NUM =", value, "versionNum");
            return (Criteria) this;
        }

        public Criteria andVersionNumNotEqualTo(String value) {
            addCriterion("VERSION_NUM <>", value, "versionNum");
            return (Criteria) this;
        }

        public Criteria andVersionNumGreaterThan(String value) {
            addCriterion("VERSION_NUM >", value, "versionNum");
            return (Criteria) this;
        }

        public Criteria andVersionNumGreaterThanOrEqualTo(String value) {
            addCriterion("VERSION_NUM >=", value, "versionNum");
            return (Criteria) this;
        }

        public Criteria andVersionNumLessThan(String value) {
            addCriterion("VERSION_NUM <", value, "versionNum");
            return (Criteria) this;
        }

        public Criteria andVersionNumLessThanOrEqualTo(String value) {
            addCriterion("VERSION_NUM <=", value, "versionNum");
            return (Criteria) this;
        }

        public Criteria andVersionNumLike(String value) {
            addCriterion("VERSION_NUM like", value, "versionNum");
            return (Criteria) this;
        }

        public Criteria andVersionNumNotLike(String value) {
            addCriterion("VERSION_NUM not like", value, "versionNum");
            return (Criteria) this;
        }

        public Criteria andVersionNumIn(List<String> values) {
            addCriterion("VERSION_NUM in", values, "versionNum");
            return (Criteria) this;
        }

        public Criteria andVersionNumNotIn(List<String> values) {
            addCriterion("VERSION_NUM not in", values, "versionNum");
            return (Criteria) this;
        }

        public Criteria andVersionNumBetween(String value1, String value2) {
            addCriterion("VERSION_NUM between", value1, value2, "versionNum");
            return (Criteria) this;
        }

        public Criteria andVersionNumNotBetween(String value1, String value2) {
            addCriterion("VERSION_NUM not between", value1, value2, "versionNum");
            return (Criteria) this;
        }

        public Criteria andMatchVersionNumIsNull() {
            addCriterion("MATCH_VERSION_NUM is null");
            return (Criteria) this;
        }

        public Criteria andMatchVersionNumIsNotNull() {
            addCriterion("MATCH_VERSION_NUM is not null");
            return (Criteria) this;
        }

        public Criteria andMatchVersionNumEqualTo(String value) {
            addCriterion("MATCH_VERSION_NUM =", value, "matchVersionNum");
            return (Criteria) this;
        }

        public Criteria andMatchVersionNumNotEqualTo(String value) {
            addCriterion("MATCH_VERSION_NUM <>", value, "matchVersionNum");
            return (Criteria) this;
        }

        public Criteria andMatchVersionNumGreaterThan(String value) {
            addCriterion("MATCH_VERSION_NUM >", value, "matchVersionNum");
            return (Criteria) this;
        }

        public Criteria andMatchVersionNumGreaterThanOrEqualTo(String value) {
            addCriterion("MATCH_VERSION_NUM >=", value, "matchVersionNum");
            return (Criteria) this;
        }

        public Criteria andMatchVersionNumLessThan(String value) {
            addCriterion("MATCH_VERSION_NUM <", value, "matchVersionNum");
            return (Criteria) this;
        }

        public Criteria andMatchVersionNumLessThanOrEqualTo(String value) {
            addCriterion("MATCH_VERSION_NUM <=", value, "matchVersionNum");
            return (Criteria) this;
        }

        public Criteria andMatchVersionNumLike(String value) {
            addCriterion("MATCH_VERSION_NUM like", value, "matchVersionNum");
            return (Criteria) this;
        }

        public Criteria andMatchVersionNumNotLike(String value) {
            addCriterion("MATCH_VERSION_NUM not like", value, "matchVersionNum");
            return (Criteria) this;
        }

        public Criteria andMatchVersionNumIn(List<String> values) {
            addCriterion("MATCH_VERSION_NUM in", values, "matchVersionNum");
            return (Criteria) this;
        }

        public Criteria andMatchVersionNumNotIn(List<String> values) {
            addCriterion("MATCH_VERSION_NUM not in", values, "matchVersionNum");
            return (Criteria) this;
        }

        public Criteria andMatchVersionNumBetween(String value1, String value2) {
            addCriterion("MATCH_VERSION_NUM between", value1, value2, "matchVersionNum");
            return (Criteria) this;
        }

        public Criteria andMatchVersionNumNotBetween(String value1, String value2) {
            addCriterion("MATCH_VERSION_NUM not between", value1, value2, "matchVersionNum");
            return (Criteria) this;
        }

        public Criteria andUpdateContentIsNull() {
            addCriterion("UPDATE_CONTENT is null");
            return (Criteria) this;
        }

        public Criteria andUpdateContentIsNotNull() {
            addCriterion("UPDATE_CONTENT is not null");
            return (Criteria) this;
        }

        public Criteria andUpdateContentEqualTo(String value) {
            addCriterion("UPDATE_CONTENT =", value, "updateContent");
            return (Criteria) this;
        }

        public Criteria andUpdateContentNotEqualTo(String value) {
            addCriterion("UPDATE_CONTENT <>", value, "updateContent");
            return (Criteria) this;
        }

        public Criteria andUpdateContentGreaterThan(String value) {
            addCriterion("UPDATE_CONTENT >", value, "updateContent");
            return (Criteria) this;
        }

        public Criteria andUpdateContentGreaterThanOrEqualTo(String value) {
            addCriterion("UPDATE_CONTENT >=", value, "updateContent");
            return (Criteria) this;
        }

        public Criteria andUpdateContentLessThan(String value) {
            addCriterion("UPDATE_CONTENT <", value, "updateContent");
            return (Criteria) this;
        }

        public Criteria andUpdateContentLessThanOrEqualTo(String value) {
            addCriterion("UPDATE_CONTENT <=", value, "updateContent");
            return (Criteria) this;
        }

        public Criteria andUpdateContentLike(String value) {
            addCriterion("UPDATE_CONTENT like", value, "updateContent");
            return (Criteria) this;
        }

        public Criteria andUpdateContentNotLike(String value) {
            addCriterion("UPDATE_CONTENT not like", value, "updateContent");
            return (Criteria) this;
        }

        public Criteria andUpdateContentIn(List<String> values) {
            addCriterion("UPDATE_CONTENT in", values, "updateContent");
            return (Criteria) this;
        }

        public Criteria andUpdateContentNotIn(List<String> values) {
            addCriterion("UPDATE_CONTENT not in", values, "updateContent");
            return (Criteria) this;
        }

        public Criteria andUpdateContentBetween(String value1, String value2) {
            addCriterion("UPDATE_CONTENT between", value1, value2, "updateContent");
            return (Criteria) this;
        }

        public Criteria andUpdateContentNotBetween(String value1, String value2) {
            addCriterion("UPDATE_CONTENT not between", value1, value2, "updateContent");
            return (Criteria) this;
        }

        public Criteria andMemoIsNull() {
            addCriterion("MEMO is null");
            return (Criteria) this;
        }

        public Criteria andMemoIsNotNull() {
            addCriterion("MEMO is not null");
            return (Criteria) this;
        }

        public Criteria andMemoEqualTo(String value) {
            addCriterion("MEMO =", value, "memo");
            return (Criteria) this;
        }

        public Criteria andMemoNotEqualTo(String value) {
            addCriterion("MEMO <>", value, "memo");
            return (Criteria) this;
        }

        public Criteria andMemoGreaterThan(String value) {
            addCriterion("MEMO >", value, "memo");
            return (Criteria) this;
        }

        public Criteria andMemoGreaterThanOrEqualTo(String value) {
            addCriterion("MEMO >=", value, "memo");
            return (Criteria) this;
        }

        public Criteria andMemoLessThan(String value) {
            addCriterion("MEMO <", value, "memo");
            return (Criteria) this;
        }

        public Criteria andMemoLessThanOrEqualTo(String value) {
            addCriterion("MEMO <=", value, "memo");
            return (Criteria) this;
        }

        public Criteria andMemoLike(String value) {
            addCriterion("MEMO like", value, "memo");
            return (Criteria) this;
        }

        public Criteria andMemoNotLike(String value) {
            addCriterion("MEMO not like", value, "memo");
            return (Criteria) this;
        }

        public Criteria andMemoIn(List<String> values) {
            addCriterion("MEMO in", values, "memo");
            return (Criteria) this;
        }

        public Criteria andMemoNotIn(List<String> values) {
            addCriterion("MEMO not in", values, "memo");
            return (Criteria) this;
        }

        public Criteria andMemoBetween(String value1, String value2) {
            addCriterion("MEMO between", value1, value2, "memo");
            return (Criteria) this;
        }

        public Criteria andMemoNotBetween(String value1, String value2) {
            addCriterion("MEMO not between", value1, value2, "memo");
            return (Criteria) this;
        }

        public Criteria andCreateManIsNull() {
            addCriterion("CREATE_MAN is null");
            return (Criteria) this;
        }

        public Criteria andCreateManIsNotNull() {
            addCriterion("CREATE_MAN is not null");
            return (Criteria) this;
        }

        public Criteria andCreateManEqualTo(String value) {
            addCriterion("CREATE_MAN =", value, "createMan");
            return (Criteria) this;
        }

        public Criteria andCreateManNotEqualTo(String value) {
            addCriterion("CREATE_MAN <>", value, "createMan");
            return (Criteria) this;
        }

        public Criteria andCreateManGreaterThan(String value) {
            addCriterion("CREATE_MAN >", value, "createMan");
            return (Criteria) this;
        }

        public Criteria andCreateManGreaterThanOrEqualTo(String value) {
            addCriterion("CREATE_MAN >=", value, "createMan");
            return (Criteria) this;
        }

        public Criteria andCreateManLessThan(String value) {
            addCriterion("CREATE_MAN <", value, "createMan");
            return (Criteria) this;
        }

        public Criteria andCreateManLessThanOrEqualTo(String value) {
            addCriterion("CREATE_MAN <=", value, "createMan");
            return (Criteria) this;
        }

        public Criteria andCreateManLike(String value) {
            addCriterion("CREATE_MAN like", value, "createMan");
            return (Criteria) this;
        }

        public Criteria andCreateManNotLike(String value) {
            addCriterion("CREATE_MAN not like", value, "createMan");
            return (Criteria) this;
        }

        public Criteria andCreateManIn(List<String> values) {
            addCriterion("CREATE_MAN in", values, "createMan");
            return (Criteria) this;
        }

        public Criteria andCreateManNotIn(List<String> values) {
            addCriterion("CREATE_MAN not in", values, "createMan");
            return (Criteria) this;
        }

        public Criteria andCreateManBetween(String value1, String value2) {
            addCriterion("CREATE_MAN between", value1, value2, "createMan");
            return (Criteria) this;
        }

        public Criteria andCreateManNotBetween(String value1, String value2) {
            addCriterion("CREATE_MAN not between", value1, value2, "createMan");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIsNull() {
            addCriterion("CREATE_TIME is null");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIsNotNull() {
            addCriterion("CREATE_TIME is not null");
            return (Criteria) this;
        }

        public Criteria andCreateTimeEqualTo(Date value) {
            addCriterion("CREATE_TIME =", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotEqualTo(Date value) {
            addCriterion("CREATE_TIME <>", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeGreaterThan(Date value) {
            addCriterion("CREATE_TIME >", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("CREATE_TIME >=", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeLessThan(Date value) {
            addCriterion("CREATE_TIME <", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeLessThanOrEqualTo(Date value) {
            addCriterion("CREATE_TIME <=", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIn(List<Date> values) {
            addCriterion("CREATE_TIME in", values, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotIn(List<Date> values) {
            addCriterion("CREATE_TIME not in", values, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeBetween(Date value1, Date value2) {
            addCriterion("CREATE_TIME between", value1, value2, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotBetween(Date value1, Date value2) {
            addCriterion("CREATE_TIME not between", value1, value2, "createTime");
            return (Criteria) this;
        }

        public Criteria andOldFileNameIsNull() {
            addCriterion("OLD_FILE_NAME is null");
            return (Criteria) this;
        }

        public Criteria andOldFileNameIsNotNull() {
            addCriterion("OLD_FILE_NAME is not null");
            return (Criteria) this;
        }

        public Criteria andOldFileNameEqualTo(String value) {
            addCriterion("OLD_FILE_NAME =", value, "oldFileName");
            return (Criteria) this;
        }

        public Criteria andOldFileNameNotEqualTo(String value) {
            addCriterion("OLD_FILE_NAME <>", value, "oldFileName");
            return (Criteria) this;
        }

        public Criteria andOldFileNameGreaterThan(String value) {
            addCriterion("OLD_FILE_NAME >", value, "oldFileName");
            return (Criteria) this;
        }

        public Criteria andOldFileNameGreaterThanOrEqualTo(String value) {
            addCriterion("OLD_FILE_NAME >=", value, "oldFileName");
            return (Criteria) this;
        }

        public Criteria andOldFileNameLessThan(String value) {
            addCriterion("OLD_FILE_NAME <", value, "oldFileName");
            return (Criteria) this;
        }

        public Criteria andOldFileNameLessThanOrEqualTo(String value) {
            addCriterion("OLD_FILE_NAME <=", value, "oldFileName");
            return (Criteria) this;
        }

        public Criteria andOldFileNameLike(String value) {
            addCriterion("OLD_FILE_NAME like", value, "oldFileName");
            return (Criteria) this;
        }

        public Criteria andOldFileNameNotLike(String value) {
            addCriterion("OLD_FILE_NAME not like", value, "oldFileName");
            return (Criteria) this;
        }

        public Criteria andOldFileNameIn(List<String> values) {
            addCriterion("OLD_FILE_NAME in", values, "oldFileName");
            return (Criteria) this;
        }

        public Criteria andOldFileNameNotIn(List<String> values) {
            addCriterion("OLD_FILE_NAME not in", values, "oldFileName");
            return (Criteria) this;
        }

        public Criteria andOldFileNameBetween(String value1, String value2) {
            addCriterion("OLD_FILE_NAME between", value1, value2, "oldFileName");
            return (Criteria) this;
        }

        public Criteria andOldFileNameNotBetween(String value1, String value2) {
            addCriterion("OLD_FILE_NAME not between", value1, value2, "oldFileName");
            return (Criteria) this;
        }

        public Criteria andNewFileNameIsNull() {
            addCriterion("NEW_FILE_NAME is null");
            return (Criteria) this;
        }

        public Criteria andNewFileNameIsNotNull() {
            addCriterion("NEW_FILE_NAME is not null");
            return (Criteria) this;
        }

        public Criteria andNewFileNameEqualTo(String value) {
            addCriterion("NEW_FILE_NAME =", value, "newFileName");
            return (Criteria) this;
        }

        public Criteria andNewFileNameNotEqualTo(String value) {
            addCriterion("NEW_FILE_NAME <>", value, "newFileName");
            return (Criteria) this;
        }

        public Criteria andNewFileNameGreaterThan(String value) {
            addCriterion("NEW_FILE_NAME >", value, "newFileName");
            return (Criteria) this;
        }

        public Criteria andNewFileNameGreaterThanOrEqualTo(String value) {
            addCriterion("NEW_FILE_NAME >=", value, "newFileName");
            return (Criteria) this;
        }

        public Criteria andNewFileNameLessThan(String value) {
            addCriterion("NEW_FILE_NAME <", value, "newFileName");
            return (Criteria) this;
        }

        public Criteria andNewFileNameLessThanOrEqualTo(String value) {
            addCriterion("NEW_FILE_NAME <=", value, "newFileName");
            return (Criteria) this;
        }

        public Criteria andNewFileNameLike(String value) {
            addCriterion("NEW_FILE_NAME like", value, "newFileName");
            return (Criteria) this;
        }

        public Criteria andNewFileNameNotLike(String value) {
            addCriterion("NEW_FILE_NAME not like", value, "newFileName");
            return (Criteria) this;
        }

        public Criteria andNewFileNameIn(List<String> values) {
            addCriterion("NEW_FILE_NAME in", values, "newFileName");
            return (Criteria) this;
        }

        public Criteria andNewFileNameNotIn(List<String> values) {
            addCriterion("NEW_FILE_NAME not in", values, "newFileName");
            return (Criteria) this;
        }

        public Criteria andNewFileNameBetween(String value1, String value2) {
            addCriterion("NEW_FILE_NAME between", value1, value2, "newFileName");
            return (Criteria) this;
        }

        public Criteria andNewFileNameNotBetween(String value1, String value2) {
            addCriterion("NEW_FILE_NAME not between", value1, value2, "newFileName");
            return (Criteria) this;
        }

        public Criteria andOriginalOldFileNameIsNull() {
            addCriterion("ORIGINAL_OLD_FILE_NAME is null");
            return (Criteria) this;
        }

        public Criteria andOriginalOldFileNameIsNotNull() {
            addCriterion("ORIGINAL_OLD_FILE_NAME is not null");
            return (Criteria) this;
        }

        public Criteria andOriginalOldFileNameEqualTo(String value) {
            addCriterion("ORIGINAL_OLD_FILE_NAME =", value, "originalOldFileName");
            return (Criteria) this;
        }

        public Criteria andOriginalOldFileNameNotEqualTo(String value) {
            addCriterion("ORIGINAL_OLD_FILE_NAME <>", value, "originalOldFileName");
            return (Criteria) this;
        }

        public Criteria andOriginalOldFileNameGreaterThan(String value) {
            addCriterion("ORIGINAL_OLD_FILE_NAME >", value, "originalOldFileName");
            return (Criteria) this;
        }

        public Criteria andOriginalOldFileNameGreaterThanOrEqualTo(String value) {
            addCriterion("ORIGINAL_OLD_FILE_NAME >=", value, "originalOldFileName");
            return (Criteria) this;
        }

        public Criteria andOriginalOldFileNameLessThan(String value) {
            addCriterion("ORIGINAL_OLD_FILE_NAME <", value, "originalOldFileName");
            return (Criteria) this;
        }

        public Criteria andOriginalOldFileNameLessThanOrEqualTo(String value) {
            addCriterion("ORIGINAL_OLD_FILE_NAME <=", value, "originalOldFileName");
            return (Criteria) this;
        }

        public Criteria andOriginalOldFileNameLike(String value) {
            addCriterion("ORIGINAL_OLD_FILE_NAME like", value, "originalOldFileName");
            return (Criteria) this;
        }

        public Criteria andOriginalOldFileNameNotLike(String value) {
            addCriterion("ORIGINAL_OLD_FILE_NAME not like", value, "originalOldFileName");
            return (Criteria) this;
        }

        public Criteria andOriginalOldFileNameIn(List<String> values) {
            addCriterion("ORIGINAL_OLD_FILE_NAME in", values, "originalOldFileName");
            return (Criteria) this;
        }

        public Criteria andOriginalOldFileNameNotIn(List<String> values) {
            addCriterion("ORIGINAL_OLD_FILE_NAME not in", values, "originalOldFileName");
            return (Criteria) this;
        }

        public Criteria andOriginalOldFileNameBetween(String value1, String value2) {
            addCriterion("ORIGINAL_OLD_FILE_NAME between", value1, value2, "originalOldFileName");
            return (Criteria) this;
        }

        public Criteria andOriginalOldFileNameNotBetween(String value1, String value2) {
            addCriterion("ORIGINAL_OLD_FILE_NAME not between", value1, value2, "originalOldFileName");
            return (Criteria) this;
        }

        public Criteria andOriginalNewFileNameIsNull() {
            addCriterion("ORIGINAL_NEW_FILE_NAME is null");
            return (Criteria) this;
        }

        public Criteria andOriginalNewFileNameIsNotNull() {
            addCriterion("ORIGINAL_NEW_FILE_NAME is not null");
            return (Criteria) this;
        }

        public Criteria andOriginalNewFileNameEqualTo(String value) {
            addCriterion("ORIGINAL_NEW_FILE_NAME =", value, "originalNewFileName");
            return (Criteria) this;
        }

        public Criteria andOriginalNewFileNameNotEqualTo(String value) {
            addCriterion("ORIGINAL_NEW_FILE_NAME <>", value, "originalNewFileName");
            return (Criteria) this;
        }

        public Criteria andOriginalNewFileNameGreaterThan(String value) {
            addCriterion("ORIGINAL_NEW_FILE_NAME >", value, "originalNewFileName");
            return (Criteria) this;
        }

        public Criteria andOriginalNewFileNameGreaterThanOrEqualTo(String value) {
            addCriterion("ORIGINAL_NEW_FILE_NAME >=", value, "originalNewFileName");
            return (Criteria) this;
        }

        public Criteria andOriginalNewFileNameLessThan(String value) {
            addCriterion("ORIGINAL_NEW_FILE_NAME <", value, "originalNewFileName");
            return (Criteria) this;
        }

        public Criteria andOriginalNewFileNameLessThanOrEqualTo(String value) {
            addCriterion("ORIGINAL_NEW_FILE_NAME <=", value, "originalNewFileName");
            return (Criteria) this;
        }

        public Criteria andOriginalNewFileNameLike(String value) {
            addCriterion("ORIGINAL_NEW_FILE_NAME like", value, "originalNewFileName");
            return (Criteria) this;
        }

        public Criteria andOriginalNewFileNameNotLike(String value) {
            addCriterion("ORIGINAL_NEW_FILE_NAME not like", value, "originalNewFileName");
            return (Criteria) this;
        }

        public Criteria andOriginalNewFileNameIn(List<String> values) {
            addCriterion("ORIGINAL_NEW_FILE_NAME in", values, "originalNewFileName");
            return (Criteria) this;
        }

        public Criteria andOriginalNewFileNameNotIn(List<String> values) {
            addCriterion("ORIGINAL_NEW_FILE_NAME not in", values, "originalNewFileName");
            return (Criteria) this;
        }

        public Criteria andOriginalNewFileNameBetween(String value1, String value2) {
            addCriterion("ORIGINAL_NEW_FILE_NAME between", value1, value2, "originalNewFileName");
            return (Criteria) this;
        }

        public Criteria andOriginalNewFileNameNotBetween(String value1, String value2) {
            addCriterion("ORIGINAL_NEW_FILE_NAME not between", value1, value2, "originalNewFileName");
            return (Criteria) this;
        }

        public Criteria andOldPackageIdIsNull() {
            addCriterion("OLD_PACKAGE_ID is null");
            return (Criteria) this;
        }

        public Criteria andOldPackageIdIsNotNull() {
            addCriterion("OLD_PACKAGE_ID is not null");
            return (Criteria) this;
        }

        public Criteria andOldPackageIdEqualTo(Integer value) {
            addCriterion("OLD_PACKAGE_ID =", value, "oldPackageId");
            return (Criteria) this;
        }

        public Criteria andOldPackageIdNotEqualTo(Integer value) {
            addCriterion("OLD_PACKAGE_ID <>", value, "oldPackageId");
            return (Criteria) this;
        }

        public Criteria andOldPackageIdGreaterThan(Integer value) {
            addCriterion("OLD_PACKAGE_ID >", value, "oldPackageId");
            return (Criteria) this;
        }

        public Criteria andOldPackageIdGreaterThanOrEqualTo(Integer value) {
            addCriterion("OLD_PACKAGE_ID >=", value, "oldPackageId");
            return (Criteria) this;
        }

        public Criteria andOldPackageIdLessThan(Integer value) {
            addCriterion("OLD_PACKAGE_ID <", value, "oldPackageId");
            return (Criteria) this;
        }

        public Criteria andOldPackageIdLessThanOrEqualTo(Integer value) {
            addCriterion("OLD_PACKAGE_ID <=", value, "oldPackageId");
            return (Criteria) this;
        }

        public Criteria andOldPackageIdIn(List<Integer> values) {
            addCriterion("OLD_PACKAGE_ID in", values, "oldPackageId");
            return (Criteria) this;
        }

        public Criteria andOldPackageIdNotIn(List<Integer> values) {
            addCriterion("OLD_PACKAGE_ID not in", values, "oldPackageId");
            return (Criteria) this;
        }

        public Criteria andOldPackageIdBetween(Integer value1, Integer value2) {
            addCriterion("OLD_PACKAGE_ID between", value1, value2, "oldPackageId");
            return (Criteria) this;
        }

        public Criteria andOldPackageIdNotBetween(Integer value1, Integer value2) {
            addCriterion("OLD_PACKAGE_ID not between", value1, value2, "oldPackageId");
            return (Criteria) this;
        }

        public Criteria andNewPackageIdIsNull() {
            addCriterion("NEW_PACKAGE_ID is null");
            return (Criteria) this;
        }

        public Criteria andNewPackageIdIsNotNull() {
            addCriterion("NEW_PACKAGE_ID is not null");
            return (Criteria) this;
        }

        public Criteria andNewPackageIdEqualTo(Integer value) {
            addCriterion("NEW_PACKAGE_ID =", value, "newPackageId");
            return (Criteria) this;
        }

        public Criteria andNewPackageIdNotEqualTo(Integer value) {
            addCriterion("NEW_PACKAGE_ID <>", value, "newPackageId");
            return (Criteria) this;
        }

        public Criteria andNewPackageIdGreaterThan(Integer value) {
            addCriterion("NEW_PACKAGE_ID >", value, "newPackageId");
            return (Criteria) this;
        }

        public Criteria andNewPackageIdGreaterThanOrEqualTo(Integer value) {
            addCriterion("NEW_PACKAGE_ID >=", value, "newPackageId");
            return (Criteria) this;
        }

        public Criteria andNewPackageIdLessThan(Integer value) {
            addCriterion("NEW_PACKAGE_ID <", value, "newPackageId");
            return (Criteria) this;
        }

        public Criteria andNewPackageIdLessThanOrEqualTo(Integer value) {
            addCriterion("NEW_PACKAGE_ID <=", value, "newPackageId");
            return (Criteria) this;
        }

        public Criteria andNewPackageIdIn(List<Integer> values) {
            addCriterion("NEW_PACKAGE_ID in", values, "newPackageId");
            return (Criteria) this;
        }

        public Criteria andNewPackageIdNotIn(List<Integer> values) {
            addCriterion("NEW_PACKAGE_ID not in", values, "newPackageId");
            return (Criteria) this;
        }

        public Criteria andNewPackageIdBetween(Integer value1, Integer value2) {
            addCriterion("NEW_PACKAGE_ID between", value1, value2, "newPackageId");
            return (Criteria) this;
        }

        public Criteria andNewPackageIdNotBetween(Integer value1, Integer value2) {
            addCriterion("NEW_PACKAGE_ID not between", value1, value2, "newPackageId");
            return (Criteria) this;
        }

        public Criteria andFileAttributeIsNull() {
            addCriterion("FILE_ATTRIBUTE is null");
            return (Criteria) this;
        }

        public Criteria andFileAttributeIsNotNull() {
            addCriterion("FILE_ATTRIBUTE is not null");
            return (Criteria) this;
        }

        public Criteria andFileAttributeEqualTo(Integer value) {
            addCriterion("FILE_ATTRIBUTE =", value, "fileAttribute");
            return (Criteria) this;
        }

        public Criteria andFileAttributeNotEqualTo(Integer value) {
            addCriterion("FILE_ATTRIBUTE <>", value, "fileAttribute");
            return (Criteria) this;
        }

        public Criteria andFileAttributeGreaterThan(Integer value) {
            addCriterion("FILE_ATTRIBUTE >", value, "fileAttribute");
            return (Criteria) this;
        }

        public Criteria andFileAttributeGreaterThanOrEqualTo(Integer value) {
            addCriterion("FILE_ATTRIBUTE >=", value, "fileAttribute");
            return (Criteria) this;
        }

        public Criteria andFileAttributeLessThan(Integer value) {
            addCriterion("FILE_ATTRIBUTE <", value, "fileAttribute");
            return (Criteria) this;
        }

        public Criteria andFileAttributeLessThanOrEqualTo(Integer value) {
            addCriterion("FILE_ATTRIBUTE <=", value, "fileAttribute");
            return (Criteria) this;
        }

        public Criteria andFileAttributeIn(List<Integer> values) {
            addCriterion("FILE_ATTRIBUTE in", values, "fileAttribute");
            return (Criteria) this;
        }

        public Criteria andFileAttributeNotIn(List<Integer> values) {
            addCriterion("FILE_ATTRIBUTE not in", values, "fileAttribute");
            return (Criteria) this;
        }

        public Criteria andFileAttributeBetween(Integer value1, Integer value2) {
            addCriterion("FILE_ATTRIBUTE between", value1, value2, "fileAttribute");
            return (Criteria) this;
        }

        public Criteria andFileAttributeNotBetween(Integer value1, Integer value2) {
            addCriterion("FILE_ATTRIBUTE not between", value1, value2, "fileAttribute");
            return (Criteria) this;
        }
    }

    public static class Criteria extends GeneratedCriteria {

        protected Criteria() {
            super();
        }
    }

    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}